Subject: bug#21526: 24.5; prolog-mode: broken indentation for if-then-else construct

From: Stefan Monnier <[email-masked]>
Date: Mon, 23 Nov 2015 11:36:31 -0500

> or, depending on the empty lines before this fact, even things like:
>
>    HERE
>
>
>    test(a, b).

[...]

> (2) When I set `prolog-electric-dot-flag' to t, and enter, at
> (point-min) of an empty Prolog mode buffer from "emacs -Q -nw":
>
>    RET RET RET t e s t .
>
> then I see that the first line of the buffer is briefly highlighted,
> apparently in connection with parsing. This may be connected to the
> previous issue, and I hope that fixing (1) also fixes this.

I believe I've just fixed these two (which were both the same
underlying problem) in emacs-25.

        Stefan